Galileo

[KSP 1.6.1] Stock Visual Enhancements [v1.4.1] [20 March 2019]

Recommended Posts

Okay so turns out the city textures loaded in but for some reason the lights at night don't actually show up. Is this because of laythe orbiting jool?

Share this post


Link to post
Share on other sites

@lilstrip I would probably avoid KSP completely if I had a discord server for my mods. The forums are good enough for me. 

As for your city lights thing:

the lights are probably showing up, however because the texture was design specifically for Kerbin and it’s landmasses, the lights are likely there, but in the oceans. I would need to create a lights mask specifically for Laythe, and I really don’t have the drive to do that right now. Work and life have kind of taken over lately. I have been trying to spend time with my wife and my 5 year old daughter since summer is wrapping up here. Maybe I will get some time soon and I can take a look at it.

Share this post


Link to post
Share on other sites

wait but I can do the mask myself lol, I mean if theres no coding involved that 100% fine since I am used to working with textures. Already lined them up witht he land masses it turns out, S.C.A.Nsat works really well for that and all I would really need to know is the size comparison of kerbin vs Laythe- oh wait I do have that in-game :3

so yeah if its a color thing could you simply tell me how it works because if theres some stuff going on in that regards I might need some info :)

 

also why would you avoid discord completely, some discord servers with small amounts of people are really calm and not chaotic like the popular ones tbh

also is there any way to fix the blue atmosphere using EVE editor and scatterer debug, I litterally disabled everything that could cause such a dense looking atmosphere- wait you can't just simply attach a file? this is so retarded! why would I have to spend 4 minutes to just upload a screenpick for one person... this is bad design lol 

having astronomers pack might be the cause so I will check if launching with dx11 will fix it. Really like the glowing laythe clouds and really dislike the way the clouds are super dark at night on laythe using planetshine :/ might have to uninstall something :(

also, why is the game so laggy with scatter and SVE+AVP on atmospheric planets? I disabled volumetric clouds and still got excrementsty framerate for no apperent reason and pinpointing the issue is really tricky. Thing is, I have 32gigs of ram, an i7 4770 and a gtx 970 strix so I shouldn't be getting 7fps its driving me nuts... (I do have memgraph so theres no stutter)

yeah um, how is a 970strix being used 100% when these mods are installed?!? Hell I am getting 13fps at the ksc imagine how bad it gets with a 30 part ship! 

To anyone who has lag uninstall AVP, it breaks the game. Sorry for bothering Gal, OH SHH*** THE LIGHTS WORK AHAHAHAHAH!!! YES!! My bad, had a pretty frustrating day lol, anyways as always theres always something that goes wrong and this time its jool's texture half loaded in so one have is HD while the other is crappy stock lol

 

Edited by lilstrip

Share this post


Link to post
Share on other sites
7 hours ago, lilstrip said:

To anyone who has lag uninstall AVP, it breaks the game.

To anyone who has lag, don't install more than one visual mod that provides clouds... They're not supposed to be mixed.

So many people think it's okay to do that but it's really not.

Share this post


Link to post
Share on other sites
7 hours ago, lilstrip said:

also is there any way to fix the blue atmosphere using EVE editor and scatterer debug, I litterally disabled everything that could cause such a dense looking atmosphere- wait you can't just simply attach a file? this is so retarded! why would I have to spend 4 minutes to just upload a screenpick for one person... this is bad design lol 

having astronomers pack might be the cause so I will check if launching with dx11 will fix it. Really like the glowing laythe clouds and really dislike the way the clouds are super dark at night on laythe using planetshine :/ might have to uninstall something :(

also, why is the game so laggy with scatter and SVE+AVP on atmospheric planets? I disabled volumetric clouds and still got excrementsty framerate for no apperent reason and pinpointing the issue is really tricky. Thing is, I have 32gigs of ram, an i7 4770 and a gtx 970 strix so I shouldn't be getting 7fps its driving me nuts... (I do have memgraph so theres no stutter)

yeah um, how is a 970strix being used 100% when these mods are installed?!? Hell I am getting 13fps at the ksc imagine how bad it gets with a 30 part ship! 

To anyone who has lag uninstall AVP, it breaks the game. Sorry for bothering Gal, OH SHH*** THE LIGHTS WORK AHAHAHAHAH!!! YES!! My bad, had a pretty frustrating day lol, anyways as always theres always something that goes wrong and this time its jool's texture half loaded in so one have is HD while the other is crappy stock lol

 

AVP does not 'break the game' and removing it is not an end-all to performance issues. You have simply installed the two (incompatible) packs together, something that is advised against on both threads, causing the host of issues and conflicts. Please pick your words more carefully and don't propogate misinformation.

As for the remaining issues, confirm that you haven't made a mistake installing other mods. If you have a BoulderCo folder in your GameData, remove it-- these are the stock EVE configs and do not function correctly with another set of configs.

Share this post


Link to post
Share on other sites

I see so if I installed AVP alone and merged city lights in there uninstalling SVE would that actually work or would city lights not show up? The main and only reason I have SVE is for the city lights since AVP doesn't have any :/

11 hours ago, themaster401 said:

AVP does not 'break the game' and removing it is not an end-all to performance issues. You have simply installed the two (incompatible) packs together, something that is advised against on both threads, causing the host of issues and conflicts. Please pick your words more carefully and don't propogate misinformation.

As for the remaining issues, confirm that you haven't made a mistake installing other mods. If you have a BoulderCo folder in your GameData, remove it-- these are the stock EVE configs and do not function correctly with another set of configs.

Thanks for the info, will remove boulderco. As for propogating misinformation both packs actually work together as in all cloud layers load in and theres no conflict going on with textures from the looks of it, its just that the combination of both mods adds so many layers combined any rig won't be able to run that, I think it has to do with unity trying to process way too many particles in the atmosphere but then again I am not an expert with Unity and if it has a built-in patcher to fix issues that cause conflicts at the expense of FPS it would be the first time I would have seen that instead of an actual crash or at least constant flow of error messages showing up in the console. 

Correct me if I am wrong, still learning everyday after all :)

Quote

Disclaimer:
Astronomer's Visual Pack is best played with the optional enhancements. Standalone mods confirmed to be compatible with AVP include KSPRC (using the installation method described above), SVT, and OPM-VO. AVP is not compatible with other stock visual mods, such as Stock Visual Enhancements, Spectra, stock EVE (BoulderCo), Sci-Fi-VE, etc. Do not install a combination of AVP + other stock visual mods. Installs with this issue visible will likely not receive support.

s*** how could I have missed that... Could someone actually clarify what is incompatible with both mods? Really would like to understand the technical reasons why behind the incompatibility because that's always useful :3 yup, can confirm lol fps is fine now with AVP installed by itself... Why does ksp lag like that when both mods are installed? Is it because both mods use the same path names for textures?!?

 

Edited by lilstrip

Share this post


Link to post
Share on other sites
2 hours ago, lilstrip said:

s*** how could I have missed that... Could someone actually clarify what is incompatible with both mods? Really would like to understand the technical reasons why behind the incompatibility because that's always useful :3 yup, can confirm lol fps is fine now with AVP installed by itself... Why does ksp lag like that when both mods are installed? Is it because both mods use the same path names for textures?!?

To be fair, the warnings weren't made clear for people to see. But anyone who has tried mixing these mods should easily guess that:

  • They primarily do the same thing so it's redundant and kinda pointless to install more of the same exact kind of mod. Especially if you're not a mod-maker and don't know what you're doing. (Like with heavy lifters. I personally see no need to install KW Rocketry, NF Launch Vehicles and SpaceY all together, but some folks do that.)
  • They are both great mods separately but then they cause trouble when mixed. Maybe they shouldn't be together... Maybe politely ask the mod-maker why that is.

Why is that so?

  • Volumetric clouds use your CPU. Where you don't see clouds while flying in atmo, there are still clouds, just with 0% opacity. KSP nearly entirely uses your CPU so your GPU and all its amazing stats are mostly irrelevant. So adding mods that add volumetric clouds means adding pain onto pain.

Every visual mod maker will tell you that it's a bad idea to install more than one cloud-adding mod.

Share this post


Link to post
Share on other sites

Hey I'm having a problem with getting Stock Visual Enhancements to work. Everything seems to work fine at first, but between around 50km to 150km in altitude, the clouds disappear. Everything else, however, is visible. The cloud shadows and city lights are fine, but the clouds disappear. I tried using the default EVE BoulderCo configs instead, and those didn't work either, so this is probably an EVE specific issue, posting here just in case.

Screenshot in game: https://imgur.com/a/io8kABP

I'm running KSP 1.3.1 with EVE 1.2.2.1, SVE 1.2.9.0 w/High Res Textures, Module Manager 3.0.4, and Kopernicus 1.3.1.7.

Screenshot of gamedata folder: https://imgur.com/a/6o7kLvx

Here are my logs: https://www.dropbox.com/s/ji6fyoz6tpq3npu/KSP.log?dl=0

 

Edited by cosekantphi
Imgur embedding didn't work

Share this post


Link to post
Share on other sites

Here is my system specs:

CPU:         AMD FX-8320 FX-Series 8-Core Black Edition (3.5GHZ)
Motherboard: ASUS M5A97 R2.0 AM3+ AMD 970
Memory:      Corsair Vengeance DDR3 (16GB)
OS:          Windows 7 X64 
Graphics:    Nvidia Geforce GTX 950 FTW (2GB Memory)
Main Drive:  Western Digital Black Edition (1TB)
Monitor:     Acer 1920X1080 (60HZ)

What texture resolution would work best for me, Medium or High? Based upon other players similar systems.

Edited by therealcrow999

Share this post


Link to post
Share on other sites
17 minutes ago, Trekkie148 said:

Hey um @Galileo where was the sunflare for this mod for scatterer? I saw it on some of hazard-ish's videos... 

There isn’t one in SVE. You have to download a sun flare from one of the sun flare mods out there.

Share this post


Link to post
Share on other sites
On 9/19/2018 at 9:56 PM, Trekkie148 said:

Could you please add some clouds to Duna please? Duna looks like nothing is happening.

I second this.

I'm sure that you see this sort of post all the time Galileo, but I hope you realise how much your hard work is appreciated. This is definitely my favourite visual mod.

I can't seem to remember which version this was from, when Laythe was more vibrantly coloured. It was honestly my favourite look for it, could somebody point me in the right direction? Thank you!

XAuatgn.jpg

Share this post


Link to post
Share on other sites

Hello guys, long time no see.

Trying to redo my install slowly, and I really miss 1.1.3 version of Laythe (last I played seriously.)
I tried playing the sorcerer's apprentice to recreate her beauty, but somehow am unable to.
I'd like to request help into what to do and what files to copy to where (in case 1.1.3 files can still be used in 1.4.5)

if anyone associated with Eve/SVE cares to give me a few pointers, I'd gladly appreciate it.
Thanks.

(PS: love this mod, it was my second install aver KER =)
@Tenebrous Nova This is 1.1.3 I am almost sure of it.  We're wanting the same thing haha :P

 

Edited by Francois424

Share this post


Link to post
Share on other sites
54 minutes ago, Francois424 said:

Trying to redo my install slowly, and I really miss 1.1.3 version of Laythe (last I played seriously.)
I tried playing the sorcerer's apprentice to recreate her beauty, but somehow am unable to.
I'd like to request help into what to do and what files to copy to where (in case 1.1.3 files can still be used in 1.4.5)

It depends on what you mean by files.

It also depends a little on whether you can still run the KSP 1.1.3 install.  If you're on Steam and you ran the game in the Steam install directory, Steam will have auto-updated the actual KSP files from Squad.  Your mods won't be updated.  This will likely not run without moving the mods out as there's been 3 major version changes.  There may be many issues trying to use savegames or even .craft files from 1.1.3 in 1.4.5 (as you may have already discovered).

(If you copied Squad's stock game files from the Steam directory into another directory of your own and ran KSP from there (which you should do), then the KSP 1.1.3 should run.  This can help in recreating what you did in 1.1.3 in a new 1.4.5 install.)

You really want to make a KSP 1.4.5 install from scratch (in its own directory under your control, not Steam's, so its files, both Squad's and mods', will only change when you want them to).  Once you have that (and make notes, especially on what you set the KSP config settings to so you can easily recreate it), you can think about recreating your previous game in current KSP, doing it all again from memory and screenshots.  Or you can try porting in savegames and .craft files.

If you mean porting a savegame from KSP 1.1.3 to 1.4.5, that's rather challenging and may be next to impossible. being over 3 major version changes.  Many things changes behind the scenes, including some parts.

If you mean porting .craft files from KSP 1.1.3 to 1.4.5, I'd strongly suggest you recreate them.  You could port in the old ones and they may still work, but I'd just use them to get information to recreate them in 1.4.5 proper.

I made a post in another topic about setting up video and audio enhancement mods.  I mentioned most of the EVE config file mods, including SVE.

 

Share this post


Link to post
Share on other sites
9 hours ago, Jacke said:

It also depends a little on whether you can still run the KSP 1.1.3 install.  If you're on Steam and you ran the game in the Steam install directory, Steam will have auto-updated the actual KSP files from Squad.  Your mods won't be updated.  This will likely not run without moving the mods out as there's been 3 major version changes.  There may be many issues trying to use savegames or even .craft files from 1.1.3 in 1.4.5 (as you may have already discovered).

(If you copied Squad's stock game files from the Steam directory into another directory of your own and ran KSP from there (which you should do), then the KSP 1.1.3 should run.  This can help in recreating what you did in 1.1.3 in a new 1.4.5 install.)

Also, if you right-click the game in your Steam library and pick Properties, the properties window's Betas tab has a bunch of old versions available as "betas" (sort of a creative misuse of Steam's beta feature).  You can use that to go back to 1.1.3 if you need to.

Share this post


Link to post
Share on other sites

@Jacke @Wyzard 
No I meant getting Laythe to her 1.1.3 looks.  The rest works fine already.  Hence me posting in this thread.
I don't need help with anything else, haha.

@Galileo Any ideas?

Edited by Francois424

Share this post


Link to post
Share on other sites

@GalileoI believe your duststorm.dds in the Medium Resolution Textures should be High Resolution Textures and that dustorm.dds brought into Medium.

Right now this is what it shows in those SVE Textures:

Medium shows:

duststorm.dds 4093x2045 (10.6mb)

High shows:

duststorm.dds 2048x1024 (2.66mb)

They need to be swapped out with each other.

I only found them because I was going through the differences in size of textures to see which one I should be running for my system. I was comparing High to Med.

 

Edited by therealcrow999

Share this post


Link to post
Share on other sites

Does this work with 1.4.5?

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.